System Requirements

System Requirements

October 9, 2020
TeamViewer IoT Documentation

The TeamViewer IoT solution has been verified to be compatible with the following platforms / operating systems.

TeamViewer IoT Agent

Platform Operating System / Kernel Example Devices TeamViewer IoT Agent Version
ARMv7 HFRaspbian Jessie 4.9
Raspbian Stretch 4.9
Raspbian Stretch 4.14
Raspberry PI II,III
Samsung Artik 530S
1.1.46- Latest
ARMv7 elRaspbian Jessie 4.9
Raspbian Stretch 4.9
Raspbian Stretch 4.14
1.1.102- Latest
ARMv5 HFRaspbian Jessie 4.9
Raspbian Stretch 4.9
Raspbian Stretch 4.14
Raspberry PI1.1.46- Latest
ARMv5 elRaspbian Jessie 4.9
Raspbian Stretch 4.9
Raspbian Stretch 4.14
1.1.102- Latest
Intel x86-64 (AMD64)Ubuntu 16.04 LTS
Ubuntu 17.10.1
CentOS 7.5.1804
Intel 64 Bit PCs
Windows Subsystem for Linux (WSL) via TeamViewer IoT for Windows Subsystem for Linux (WSL)
1.1.102- Latest
Intel x86-32 (i386)Ubuntu 16.04 LTS
Ubuntu 17.10.1
CentOS 7.5.1804
Intel 32 Bit PCs
Windows Subsystem for Linux (WSL) via TeamViewer IoT for Windows Subsystem for Linux (WSL)
1.1.102- Latest

TeamViewer IoT Cloud – Browser Compatibility

BrowserVersion
Chromeversions released within last 6 months
Firefoxversions released within last 6 months
Edgeversions released within last 6 months
Internet Explorer11 (or newer)
Safariversions released within last 6 months

TeamViewer IoT Client for Remote Access

TeamViewer IoT Remote Access is currently available via TeamViewer Client v13.1 (or newer) for Windows.

Internet Explorer 11  (or newer) is required.

Related posts

Want more? Exclusive deals, the latest news: Our Newsletter!